import board
import displayio
from adafruit_displayio_sh1106 import SH1106
import adafruit_imageload
import time

displayio.release_displays() # Elengedjük a kijelzőt...

# Inintialize display
i2c = board.I2C()
display_bus = displayio.I2CDisplay(i2c, device_address=0x3C)
display=SH1106(display_bus, width=132, height=64, rotation=180)

# Make the display context
splash = displayio.Group()
display.show(splash)

# Make white backgound
color_bitmap = displayio.Bitmap(128, 64, 1)
color_palette = displayio.Palette(1)
color_palette[0] = 0xFFFFFF # White
bg_sprite = displayio.TileGrid(color_bitmap, pixel_shader=color_palette, x=2, y=0)
splash.append(bg_sprite)

# Load the sprite sheet (bitmap)
sprite_sheet,palette=adafruit_imageload.load("/clowns.bmp",bitmap=displayio.Bitmap,palette=displayio.Palette)
# Create a sprite (tilegrid)
sprite = displayio.TileGrid(sprite_sheet,pixel_shader=palette,width=1,height=1,tile_width=56,tile_height=64,x=40,y=0)
splash.append(sprite)

source_index = 0

# Run the animation by changing the source tile
while True:
    sprite[0] = source_index # Váltogatjuk a sprite képét
    source_index = (source_index + 1) % 8
    time.sleep(0.1)
